Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.schema
Interface ResourcePropertiesSchema

All Known Implementing Classes:
  OpenPropertiesSchema, SimpleResourcePropertiesSchema

public interface ResourcePropertiesSchema

ResourcePropertiesSchema represents the portion of an XML schema that defines a WS-RP document. Implementations of this interface provide a lookup service for property schema information.

Author:
  Dan Jemiolo (danj)

Field Summary
`static int` | `UNBOUNDED` The unbounded value can be applied to the property's minimum or maximum setting.

Method Summary
`WsResourceCapability` | `getCapability(QName property)`
`QName` | `getElementName()`
`int` | `getMaxOccurs(QName property)`
`int` | `getMinOccurs(QName property)`
`java.util.Collection` | `getPropertyNames()`
`QName` | `getPropertyTypeName(QName property)`
`boolean` | `hasCapability(QName property)`
`boolean` | `hasProperty(QName property)`
`boolean` | `isMaxUnbounded(QName property)`
`boolean` | `isNillable(QName property)`
`void` | `setCapability(QName property, WsResourceCapability capability)` Maps the property to the capability so that users can later determine which capability should be used for servicing read/write requests against the property.
`void` | `setElementName(QName wsrpName)`

Field Detail

### UNBOUNDED

    public static final int UNBOUNDED

  The unbounded value can be applied to the property's minimum or maximum setting. An unbounded minimum means that a property can have zero instances; an unbounded maximum means that a property can have unlimited instances.

  See Also:
    Constant Field Values

Method Detail

### getCapability

    public WsResourceCapability getCapability(QName property)

  Parameters:
    `property` -
  Returns:
    The capability that defines the resource property, or null if the property does not exist.

### getElementName

    public QName getElementName()

  Returns:
    The name of the schema element representing the WSRP document.

### getMaxOccurs

    public int getMaxOccurs(QName property)

  Parameters:
    `property` -
  Returns:
    The maximum number of occurrences for the given property, or UNBOUNDED if the property's "maxOccurs" is set to "unbounded".

### getMinOccurs

    public int getMinOccurs(QName property)

  Parameters:
    `property` -
  Returns:
    The minimum number of occurrences for the given property.

### getPropertyNames

    public java.util.Collection getPropertyNames()

  Returns:
    The collection of property names defined in this schema.

### getPropertyTypeName

    public QName getPropertyTypeName(QName property)

  Parameters:
    `property` -
  Returns:
    The qualified name of the property's type (set with the "type" attribute). If no type is specified, the method returns XsdUtils.ANY_TYPE_QNAME.

### hasCapability

    public boolean hasCapability(QName property)

### hasProperty

    public boolean hasProperty(QName property)

  Parameters:
    `property` -
  Returns:
    True is the schema has a property definition with the given name.

### isMaxUnbounded

    public boolean isMaxUnbounded(QName property)

  Parameters:
    `property` -
  Returns:
    True if getMaxOccurs(QName) returns UNBOUNDED.

### isNillable

    public boolean isNillable(QName property)

  Parameters:
    `property` -
  Returns:
    True if instances of the given property can be set to null, or empty elements (set with the "nillable" attribute).

### setCapability

    public void setCapability(QName property,
                              WsResourceCapability capability)

  Maps the property to the capability so that users can later determine which capability should be used for servicing read/write requests against the property.

  Parameters:
    `property` -
    `capability` -

### setElementName

    public void setElementName(QName wsrpName)

  Parameters:
    `wsrpName` - The name of the schema element representing the WSRP document.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD